### Home Classes Methods

### In Files

- lib/cool.io/io.rb

### Parent

IOWatcher

### Methods

- ::new
- #on_readable
- #on_writable

### Class/Module Index

Quicksearch

- Coolio
- Coolio::AsyncWatcher
- Coolio::Connections
- Coolio::DNSResolver
- Coolio::DNSResolver::Timeout
- Coolio::DSL
- Coolio::DSL::ConnectionBuilder
- Coolio::IO
- Coolio::IO::Watcher
- Coolio::IOWatcher
- Coolio::Listener
- Coolio::Loop
- Coolio::Meta
- Coolio::Server
- Coolio::Socket
- Coolio::Socket::Connector
- Coolio::TCPListener
- Coolio::TCPServer
- Coolio::TCPSocket
- Coolio::TCPSocket::TCPConnectResolver
- Coolio::TCPSocket::TCPConnectSocket
- Coolio::TimerWatcher
- Coolio::UNIXListener
- Coolio::UNIXServer
- Coolio::UNIXSocket
- Cool
- Cool::Coolness
- Cool::IOThunk
- Object
- Thread

No matching classes.

# Coolio::IO::Watcher

Internal class implementing watchers used by Coolio::IO

### Public Class Methods

new(ruby_io, coolio_io, flags) click to toggle source

    # File lib/cool.io/io.rb, line 179
    def initialize(ruby_io, coolio_io, flags)
      @coolio_io = coolio_io
      super(ruby_io, flags)
    end

### Public Instance Methods

on_readable() click to toggle source

Configure IOWatcher event callbacks to call the method passed to initialize

    # File lib/cool.io/io.rb, line 185
    def on_readable
      @coolio_io.__send__(:on_readable)
    end

on_writable() click to toggle source

    # File lib/cool.io/io.rb, line 189
    def on_writable
      @coolio_io.__send__(:on_writable)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.